Package helma.objectmodel

# Interface IProperty

All Known Implementing Classes:
  `Property`, `TransientProperty`

public interface IProperty
Interface that is implemented by node properties.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BOOLEAN`
`static final int`
`DATE`
`static final int`
`FLOAT`
`static final int`
`INTEGER`
`static final int`
`JAVAOBJECT`
`static final int`
`NODE`
`static final int`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue()`
`Date`
`getDateValue()`
`double`
`getFloatValue()`
`long`
`getIntegerValue()`
`Object`
`getJavaObjectValue()`
`String`
`getName()`
`INode`
`getNodeValue()`
`String`
`getStringValue()`
`int`
`getType()`
`Object`
`getValue()`

## Field Details

### STRING

static final int STRING

See Also:
  - Constant Field Values

### BOOLEAN

static final int BOOLEAN

See Also:
  - Constant Field Values

### DATE

static final int DATE

See Also:
  - Constant Field Values

### INTEGER

static final int INTEGER

See Also:
  - Constant Field Values

### FLOAT

static final int FLOAT

See Also:
  - Constant Field Values

### NODE

static final int NODE

See Also:
  - Constant Field Values

### JAVAOBJECT

static final int JAVAOBJECT

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()

Returns:
  ...

### getType

int getType()

Returns:
  ...

### getValue

Object getValue()

Returns:
  ...

### getNodeValue

INode getNodeValue()

Returns:
  ...

### getStringValue

String getStringValue()

Returns:
  ...

### getBooleanValue

boolean getBooleanValue()

Returns:
  ...

### getIntegerValue

long getIntegerValue()

Returns:
  ...

### getFloatValue

double getFloatValue()

Returns:
  ...

### getDateValue

Date getDateValue()

Returns:
  ...

### getJavaObjectValue

Object getJavaObjectValue()

Returns:
  ...